Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
girl

Lisp chuyển Line sang PL !

Các bài được khuyến nghị

EM đang cần viết cái lisp biến các line được chọn thành PL, Em viết không biết sai chỗ nào mà nó mới biến được 1 line chứ chưa biến được nhiều cái 1 lúc. Xin các anh sửa giúp em ạ :

;;;=========
(defun C:jpl() 
(SETQ SS (SSGET)) 
(command "pedit" "m" "y" ss "j")
(princ)
)

 

 

 

;;;=========
(defun C:jpl() 
(SETQ SS (SSGET)) 
(command "pedit" "m" "y" ss "j")
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Vâng, anh có cho em xin cái EXplode,

cảm ơn anh đã gợi ý, em làm được rồi : 

(defun C:jff() 
(SETQ SS (SSGET)) 
(command ".pedit" "M" ss "" "Y" "X" "")
(princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×